## orange-canvas-core 0.1.31

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/OrangeCanvasCore.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/OrangeCanvasCore.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/OrangeCanvasCore"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/OrangeCanvasCore"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
orange-canvas-core (0.1.31-3) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Tue, 15 Aug 2023 14:51:53 +0200

orange-canvas-core (0.1.31-2) unstable; urgency=medium

  * Fix debian/copyright.

 -- Roland Mas <lolando@debian.org>  Fri, 11 Aug 2023 17:28:30 +0200

orange-canvas-core (0.1.31-1) unstable; urgency=low

  * Initial release, autogenerated by py2dsp/3.20230219 then tweaked by
    hand.

 -- Roland Mas <lolando@debian.org>  Wed, 02 Aug 2023 03:45:51 +0200

=== debian/control ===
Source: orange-canvas-core
Section: python
Priority: optional
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
 Roland Mas <lolando@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
	       python3-anyqt (>= 0.2.0),
	       python3-pyqt5,
	       python3-pyqt5.qtsvg,
	       python3-dictdiffer,
	       python3-docutils,
Standards-Version: 4.6.2.0
Testsuite: autopkgtest-pkg-pybuild
Homepage: http://orange.biolab.si/
Vcs-Git: https://salsa.debian.org/science-team/orange-canvas-core.git
Vcs-Browser: https://salsa.debian.org/science-team/orange-canvas-core
Rules-Requires-Root: no

Package: python3-orange-canvas-core
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Core component of Orange Canvas
 Orange Canvas Core is a framework for building graphical user
 interfaces for editing workflows. It is a component used to build the
 Orange Canvas data-mining application (for which it was developed in
 the first place).

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=orange-canvas-core
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:

=== debian/watch ===
version=4
# try also https://pypi.debian.net/orange-canvas-core/watch
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/orange-canvas-core/orange-canvas-core-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## orange-canvas-core 0.2.1

=== debian/changelog ===
orange-canvas-core (0.2.1-3) unstable; urgency=medium

  * Team uploads.

  * d/t/python: test all supported Python versions

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 03 Aug 2024 08:50:33 +0200

orange-canvas-core (0.2.1-2) unstable; urgency=medium

  [ RAHLI Oussama ]
  * Added autopkgtests
  * d/control: remove the pybuild-autopkgtest
  * try to simplify the autopkgtest
  * skip the non working test

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 02 Aug 2024 10:45:16 +0200

orange-canvas-core (0.2.1-1) unstable; urgency=medium

  * Team uploads.

  [Picca Frederic-Emmanuel]
  * New upstream version 0.2.1
  * d/control: Added B-D python3-numpy, python3-packaging,
               python3-requests-cache
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Use dh-sequence in order to build the package
  * run unit test during the build
  * d/control: Added B-D python3-qasync
  * d/control: Added python3-pytest-xvfb <!nocheck>

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 31 Jul 2024 14:36:07 +0200

=== debian/control ===
Source: orange-canvas-core
Section: python
Priority: optional
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
 Roland Mas <lolando@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-numpy3,
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-anyqt (>= 0.2.0),
 python3-dictdiffer,
 python3-docutils,
 python3-numpy,
 python3-packaging,
 python3-pyqt5,
 python3-pyqt5.qtsvg,
 python3-pytest <!nocheck>,
 python3-pytest-xvfb <!nocheck>,
 python3-qasync,
 python3-requests-cache,
 python3-setuptools,
Standards-Version: 4.6.2.0
Homepage: https://orange.biolab.si/
Vcs-Git: https://salsa.debian.org/science-team/orange-canvas-core.git
Vcs-Browser: https://salsa.debian.org/science-team/orange-canvas-core
Rules-Requires-Root: no

Package: python3-orange-canvas-core
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Core component of Orange Canvas
 Orange Canvas Core is a framework for building graphical user
 interfaces for editing workflows. It is a component used to build the
 Orange Canvas data-mining application (for which it was developed in
 the first place).

## orange-canvas-core 0.2.2

=== debian/changelog ===
orange-canvas-core (0.2.2-2) unstable; urgency=medium

  * Team upload.
  * Update d/watch to detect files name according to new PyPi policy.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 18 Dec 2024 17:52:56 +0100

orange-canvas-core (0.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Wed, 30 Oct 2024 17:05:17 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
  Roland Mas <lolando@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
  dh-sequence-numpy3,
  dh-sequence-python3,
  pybuild-plugin-pyproject,

## orange-canvas-core 0.2.5

=== debian/changelog ===
orange-canvas-core (0.2.5-2) unstable; urgency=medium

  * Run testsuite with a window manager.
  * Also, disable explicit garbage collection in testsuite.
  * These two changes, combined, fix "FTBFS: Segmentation fault", thanks
    to Santiago Vila (Closes: #1098586).

 -- Roland Mas <lolando@debian.org>  Sat, 19 Jul 2025 16:01:22 +0200

orange-canvas-core (0.2.5-1) unstable; urgency=medium

  * New upstream release.
  * Depend on new python3-trubar package.

 -- Roland Mas <lolando@debian.org>  Sun, 26 Jan 2025 19:37:32 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,11 @@
  Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
  Roland Mas <lolando@debian.org>,
 Build-Depends:
+ dbus <!nocheck>,
  debhelper-compat (= 13),
  dh-sequence-numpy3,
  dh-sequence-python3,
+ herbstluftwm,
  pybuild-plugin-pyproject,
  python3-all,
  python3-anyqt (>= 0.2.0),
@@ -19,10 +21,12 @@
  python3-pyqt5,
  python3-pyqt5.qtsvg,
  python3-pytest <!nocheck>,
- python3-pytest-xvfb <!nocheck>,
+ python3-pytestqt <!nocheck>,
  python3-qasync,
  python3-requests-cache,
  python3-setuptools,
+ python3-trubar,
+ xvfb,
 Standards-Version: 4.6.2.0
 Homepage: https://orange.biolab.si/
 Vcs-Git: https://salsa.debian.org/science-team/orange-canvas-core.git

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=orange-canvas-core
export PYBUILD_TEST_ARGS=-k "not test_iconengine" --capture=no

%:
	dh $@ --buildsystem=pybuild

export DISPLAY=:99.0

execute_before_dh_auto_test:
	/sbin/start-stop-daemon --start --quiet --pidfile $(CURDIR)/custom_xvfb.pid --make-pidfile --background --exec /usr/bin/Xvfb -- :99
	/sbin/start-stop-daemon --start --quiet --pidfile $(CURDIR)/custom_herbstluftwm.pid --make-pidfile --background --exec /usr/bin/herbstluftwm -- --replace

execute_after_dh_auto_test:
	/sbin/start-stop-daemon --stop --quiet --pidfile $(CURDIR)/custom_herbstluftwm.pid --remove-pidfile || true
	/sbin/start-stop-daemon --stop --quiet --pidfile $(CURDIR)/custom_xvfb.pid --remove-pidfile || true

=== debian/tests/control ===
Tests: python
Depends:
 dbus,
 herbstluftwm,
 python3-all,
 python3-orange-canvas-core,
 python3-pyqt5,
 python3-pyqt5.qtsvg,
 python3-pytest,
 xvfb,
Restrictions: allow-stderr, skip-not-installable, flaky

=== debian/watch ===
version=4
# try also https://pypi.debian.net/orange-canvas-core/watch
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/orange-canvas-core/orange_canvas_core-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## orange-canvas-core 0.2.7

=== debian/changelog ===
orange-canvas-core (0.2.7-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Sat, 27 Dec 2025 21:38:59 +0100
